package com.ruoyi.project.business.service.quotation;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.business.domain.TbSalesDiscount;
import com.ruoyi.project.business.domain.TqQuotation;
import com.ruoyi.project.business.domain.flow.FlowAuditParam;
import java.math.BigDecimal;

public interface IQuoteApprovalService extends IService<TqQuotation> {

    void changeQuotationStatus(FlowAuditParam auditParam);

    void changeBargainStatus(FlowAuditParam auditParam);

    TbSalesDiscount getRoleDiscount(Long roleId);

}
